View Issue Details

IDProjectCategoryView StatusLast Update
0001603SymmetricDSImprovementpublic2014-03-02 09:49
ReportermhanesAssigned Tomhanes 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.17 
Target Version3.5.18Fixed in Version3.5.18 
Summary0001603: Create new 'copy if the value has changed' column transform
DescriptionCreate a column transform that compares the old value for a column to the new value. If the value has not changed (i.e., they are equals), then either throw an IgnoreRow or IgnoreColumn exception, thereby skipping the row or column.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master df2f03dd

2014-02-25 10:02:39

eegeek

Details Diff
0001603: Create new 'copy if the value has changed' column transform
0001603
mod - symmetric-assemble/src/docbook/configuration.xml Diff File
add - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/CopyIfChangedColumnTransform.java Diff File

SymmetricDS: master f07cc2e0

2014-02-25 12:14:17

eegeek

Details Diff
0001603: Create new 'copy if the value has changed' column transform
0001603
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformWriter.java Diff File

Issue History

Date Modified Username Field Change
2014-02-25 09:49 mhanes New Issue
2014-02-25 09:49 mhanes Status new => assigned
2014-02-25 09:49 mhanes Assigned To => mhanes
2014-02-25 09:49 mhanes Summary Create new 'copy if the value has changed' transform => Create new 'copy if the value has changed' column transform
2014-02-25 09:49 mhanes Description Updated View Revisions
2014-02-25 10:00 Changeset attached => SymmetricDS 3.5 r7984
2014-02-25 10:00 mhanes Status assigned => resolved
2014-02-25 10:00 mhanes Fixed in Version => 3.5.18
2014-02-25 10:00 mhanes Resolution open => fixed
2014-02-25 11:00 Changeset attached => SymmetricDS 3.5 r7985
2014-02-25 11:00 Changeset attached => SymmetricDS trunk r7986
2014-02-25 13:00 Changeset attached => SymmetricDS 3.5 r7992
2014-02-25 13:00 Changeset attached => SymmetricDS trunk r7994
2014-03-02 09:49 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master f07cc2e0
2015-07-30 21:49 Changeset attached => SymmetricDS master df2f03dd